<?php
/**
 * BookiFlex Core
 *
 * @package    BookiFlex
 * @subpackage Core
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */

declare(strict_types=1);

namespace BookiFlex\Core\Model\RatePlan;

defined( 'ABSPATH' ) || exit;

/**
 * Board type for rate plans.
 */
enum BoardType: string
{
    case ROOM_ONLY                = 'ROOM_ONLY';
    case BREAKFAST                = 'BREAKFAST';
    case HALF_BOARD               = 'HALF_BOARD';
    case FULL_BOARD               = 'FULL_BOARD';
    case ALL_INCLUSIVE            = 'ALL_INCLUSIVE';
    case BUFFET_BREAKFAST         = 'BUFFET_BREAKFAST';
    case CARIBBEAN_BREAKFAST      = 'CARIBBEAN_BREAKFAST';
    case CONTINENTAL_BREAKFAST    = 'CONTINENTAL_BREAKFAST';
    case ENGLISH_BREAKFAST        = 'ENGLISH_BREAKFAST';
    case FULL_BREAKFAST           = 'FULL_BREAKFAST';
    case DINNER_BED_AND_BREAKFAST = 'DINNER_BED_AND_BREAKFAST';
    case LUNCH                    = 'LUNCH';
    case DINNER                   = 'DINNER';
    case FAMILY_PLAN              = 'FAMILY_PLAN';
    case AS_BROCHURED             = 'AS_BROCHURED';
    case SELF_CATERING            = 'SELF_CATERING';
    case BERMUDA                  = 'BERMUDA';
    case AMERICAN                 = 'AMERICAN';
    case FAMILY_AMERICAN          = 'FAMILY_AMERICAN';
    case MODIFIED                 = 'MODIFIED';
}
